//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RecordBasisEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RecordBasisEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="PreservedSpecimen"/&gt;
 *     &lt;enumeration value="LivingSpecimen"/&gt;
 *     &lt;enumeration value="FossilSpecimen"/&gt;
 *     &lt;enumeration value="MineralSpecimen"/&gt;
 *     &lt;enumeration value="OtherSpecimen"/&gt;
 *     &lt;enumeration value="MaterialSample"/&gt;
 *     &lt;enumeration value="HumanObservation"/&gt;
 *     &lt;enumeration value="MachineObservation"/&gt;
 *     &lt;enumeration value="DrawingOrPhotograph"/&gt;
 *     &lt;enumeration value="MultimediaObject"/&gt;
 *     &lt;enumeration value="AbsenceObservation"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RecordBasisEnum")
@XmlEnum
public enum RecordBasisEnum {

    @XmlEnumValue("PreservedSpecimen")
    PRESERVED_SPECIMEN("PreservedSpecimen"),
    @XmlEnumValue("LivingSpecimen")
    LIVING_SPECIMEN("LivingSpecimen"),
    @XmlEnumValue("FossilSpecimen")
    FOSSIL_SPECIMEN("FossilSpecimen"),
    @XmlEnumValue("MineralSpecimen")
    MINERAL_SPECIMEN("MineralSpecimen"),
    @XmlEnumValue("OtherSpecimen")
    OTHER_SPECIMEN("OtherSpecimen"),
    @XmlEnumValue("MaterialSample")
    MATERIAL_SAMPLE("MaterialSample"),
    @XmlEnumValue("HumanObservation")
    HUMAN_OBSERVATION("HumanObservation"),
    @XmlEnumValue("MachineObservation")
    MACHINE_OBSERVATION("MachineObservation"),
    @XmlEnumValue("DrawingOrPhotograph")
    DRAWING_OR_PHOTOGRAPH("DrawingOrPhotograph"),
    @XmlEnumValue("MultimediaObject")
    MULTIMEDIA_OBJECT("MultimediaObject"),
    @XmlEnumValue("AbsenceObservation")
    ABSENCE_OBSERVATION("AbsenceObservation");
    private final String value;

    RecordBasisEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RecordBasisEnum fromValue(String v) {
        for (RecordBasisEnum c: RecordBasisEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
